Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/bin/compile-archspec
diff options
context:
space:
mode:
authorWalter Bender <walter@walter-laptop.(none)>2009-02-20 16:12:44 (GMT)
committer Walter Bender <walter@walter-laptop.(none)>2009-02-20 16:12:44 (GMT)
commitb0b6de5e6c61fe92452bf057d2f0677a3d1fec9b (patch)
tree18b7e220d66044df26505c31b0ad68cda5e8d8b0 /bin/compile-archspec
parent897de91d58c45e13f6de78818d9805fc78021d75 (diff)
silbe patch to build alsaaudio on first launch
Diffstat (limited to 'bin/compile-archspec')
-rwxr-xr-xbin/compile-archspec16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/compile-archspec b/bin/compile-archspec
new file mode 100755
index 0000000..2a5a042
--- /dev/null
+++ b/bin/compile-archspec
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+archsrcdir="$1"
+archinstdir="$2"
+
+mkdir -p "${archinstdir}"
+cp -a "${archsrcdir}"/* "${archinstdir}"/
+cd "${archinstdir}"
+if [ -e configure ] ; then
+ ./configure --prefix="${archinstdir}"
+fi
+
+make PREFIX="${archinstdir}"
+make install PREFIX="${archinstdir}"
+